AUDTOOL(1)

NAME
audtool - a small tool to modify behavior of a running audacious2 instance.

SYNOPSIS
audtool [--[[handler [parameters]] [...]

DESCRIPTION
audtool is designed to send commands to a running audacious.

It can handle various things like jumping to the next track in playlist or returning the current playing track title, as well as other status information.

OPTIONS
Now playing information:

--current-song
    Returns current song title.

--current-song-filename
    Returns current song filename.

--current-song-length
    Returns current song length.

--current-song-length-seconds
    Returns current song length in seconds.

--current-song-length-frames
    Returns current song length in frames.

--current-song-output-length
    Returns current song output length.

--current-song-output-length-seconds
    Returns current song output length in seconds.

--current-song-output-length-frames
    Returns current song output length in frames.

--current-song-bitrate
    Returns current song bitrate in bits per second.

--current-song-bitrate-kbps
    Returns current song bitrate in kilobits per second.

--current-song-frequency
    Returns current song frequency in hertz.

--current-song-frequency-khz
    Returns current song frequency in kilohertz.

--current-song-channels
    Returns current song channels.

--current-song-tuple-data <fieldname>
    Returns the value of a tuple field for the current song.

--current-song-info
    Returns current song bitrate, frequency and channels.

Playlist manipulation:

--playlist-advance
    Go to the next song in the playlist.

--playlist-reverse
    Go to the previous song in the playlist.

--playlist-addurl <uri>
    Adds a uri to the playlist.

--playlist-insurl <uri> <position>
    Inserts a url at specified position in the playlist.

--playlist-delete <position>
    Deletes the song at <position> from the playlist.

--playlist-length
    Returns the total length of the playlist.

--playlist-song <position>
    Returns the title of the song at <position> in the playlist.

--playlist-song-filename <position>
    Returns the filename of the song at <position> in the playlist.

--playlist-song-length <position>
    Returns the length of the song at <position> in the playlist.

--playlist-song-length-seconds <position>
    Returns the length of the song at <position> in the playlist in seconds.

--playlist-song-length-frames <position>
    Returns the length of the song at <position> in the playlist in frames.

--playlist-display
    Returns the entire playlist.

--playlist-position
    Returns the current position in the playlist.

--playlist-jump <position>
    Jumps to <position> in the playlist.

--playlist-clear
    Clears the playlist.

--playlist-repeat-status
    Returns the status of playlist repeat.

--playlist-repeat-toggle
    Toggles playlist repeat.

--playlist-shuffle-status
    Returns the status of playlist shuffle.

--playlist-shuffle-toggle
    Toggles playlist shuffle.

--playlist-tuple-data <fieldname> <position>
    Returns the value of a tuple field for a song in the playlist.

Playqueue manipulation:

--playqueue-add <position>
    Adds the song at <position> in the playlist to the playqueue.

--playqueue-remove <position>
    Removes the song at <position> in the playlist from the playqueue.

--playqueue-is-queued <position>
    Returns OK if the song at <postion> in the playtlist is queued.

--playqueue-get-position <position>
    Returns the playqueue position of the song at <position> in the playlist.

--playqueue-get-queue-position <position>
    Returns the playqueue position of a song in the given <position> in the playlist.

--playqueue-get-list-position <position>
    Returns the playlist position of a song in the given position in the playqueue.

--playqueue-length
    Returns the length of the playqueue.

--playqueue-display
    Returns a list of currently-queued songs.

--playqueue-clear
    Clears the playqueue.

Playback manipulation:

--playback-play
    Starts/unpauses song playback.

--playback-pause
    (Un)pauses song playback.

--playback-playpause
    Plays/(un)pauses song playback.

--playback-stop
    Stops song playback.

--playback-playing
    Returns OK if audacious is playing.

--playback-paused
    Returns OK if audacious is paused.

--playback-stopped
    Returns OK if audacious is stopped.

--playback-status
    Returns the playback status.

--playback-seek
    Performs an absolute seek in milliseconds.

--playback-seek-relative
    Performs a seek relative to the current position in milliseconds.

Volume control:

--get-volume
    Returns the current volume level in percent.

--set-volume <level>
    Sets the current volume level in percent.

Equalizer manipulation:

--equalizer-activate <on/off>
    Activates/deactivates the equalizer.

--equalizer-get
    Gets the equalizer settings.

--equalizer-set <preamp> <band0> <band1> <band2> <band3> <band4> <band5> <band6> <band7> <band8> <band9>
    Sets the equalizer settings.

--equalizer-get-preamp
    Gets the equalizer pre-amplification.

--equalizer-set-preamp <preamp>
    Gets the equalizer pre-amplification.

--equalizer-get-band <band>
    Gets the equalizer value in specified band.

--equalizer-set-band <band> <value>
    Sets the equalizer value in specified band.

Miscellaneous:

--mainwin-show <on/off>
    Shows/hides the main window.

--playlist-show <on/off>
    Shows/hides the playlist window.

--equalizer-show <on/off>
    Shows/hides the equalizer window.

--filebrowser-show <on/off>
    Shows/hides the filebrowser.

--jumptofile-show <on/off>
    Shows/hides the jump to file window.

--preferences-show <on/off>
    Shows/hides the preferences window.

--about-show <on/off>
    Shows/hides the about window.

--activate
    Activates and raises audacious.

--always-on-top <on/off>
    Enables/disables always on top setting.

--version
    Displays version information for the Audacious2 core.

--shutdown
    Shuts down audacious.

Help system:

--list-handlers
    Shows handlers list.

--help
    Shows handlers list.

Handlers may be prefixed with `--' (GNU-style long-options) or not, your choice.

BUGS
There are no known bugs in audtool at this time; if you find any please report them on www.atheme.org in the Audacious issue tracker.

AUTHORS
audtool was written by George Averill <nhjm@nhjm.net> and William Pitcock <nenolod@atheme.org>.

This manual page was written by Adam Cecile <gandalf@le-vert.net> and Kiyoshi Aman <kiyoshi@atheme.org>. Some additional tweaks were done by William Pitcock <nenolod@atheme.org> and Tony Vroon <chainsaw@gentoo.org>.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

The complete text of the GNU General Public License is available in the sourcecode of Audacious, and is typically included with binary packages as well.

If installed with an operating system, see your Operating System's documentation for licensing details.

SEE ALSO
audacious2(1)

WEBSITE
http://audacious-media-player.org